低危 Legion of the Bouncy Castle TLS信息泄露漏洞

CVE编号

CVE-2017-13098

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-12-13
漏洞描述
Legion of the Bouncy Castle是澳大利亚Legion of the Bouncy Castle公司的一个用于Java平台的开源的轻量级密码包。TLS是其中的一个安全传输层协议。

Legion of the Bouncy Castle TLS 1.0.3之前的版本中存在信息泄露漏洞,该漏洞源于程序对加密函数使用了JCE(Java加密扩展)。攻击者可利用该漏洞从受影响的应用程序中找回密钥。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/bcgit/bc-java/commit/a00b684465b38d722ca9a3543b8af8568e6bad5c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 bouncycastle legion-of-the-bouncy-castle-java-crytography-api * Up to
(excluding)
1.59
运行在以下环境
系统 debian_9 bouncycastle * Up to
(excluding)
1.56-1+deb9u1
运行在以下环境
系统 fedora_27 bouncycastle * Up to
(excluding)
1.59-1.fc27
运行在以下环境
系统 fedora_28 bouncycastle * Up to
(excluding)
1.59-1.fc28
运行在以下环境
系统 opensuse_Leap_15.0 bouncycastle * Up to
(excluding)
1.60-lp150.2.3.1
运行在以下环境
系统 opensuse_Leap_15.1 bouncycastle * Up to
(excluding)
1.60-lp151.3.3.1
运行在以下环境
系统 opensuse_Leap_42.3 bouncycastle * Up to
(excluding)
1.59-23.3.1
运行在以下环境
系统 ubuntu_18.04.5_lts bouncycastle * Up to
(excluding)
1.59-1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-203 通过差异性导致的信息暴露
阿里云安全产品覆盖情况